Bug 170925 - gtk1 applications look horrible (XLC_LOCALE bug)
Summary: gtk1 applications look horrible (XLC_LOCALE bug)
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11   
(Show other bugs)
Version: 4
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-15 19:17 UTC by Aleksey Kontsevich
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-31 14:44:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 4366 None None None Never

Description Aleksey Kontsevich 2005-10-15 19:17:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.2 (like Gecko)

Description of problem:
This bug is similar to bug   
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=68725   
  
To solve the problem I replaced the   
file /usr/X11R6/lib/X11/locale/en_US.UTF-8/XLC_LOCALE by its older version 
from ASPLinux 10 xorg-x11-libs-6.8.1   

Version-Release number of selected component (if applicable):
xorg-x11-libs-6.8.2-37.FC4.48.1

How reproducible:
Always

Steps to Reproduce:
1. Run any gtk1 application (for eample xmms) an I see smth like this in 
menus: "'3'S'`'['c'd'S'Q" - gtk1 cuts 8 bit 
   

Additional info:

Comment 1 Aleksey Kontsevich 2005-10-15 19:22:46 UTC
I have russian UTF-8 locale 

Comment 2 Mike A. Harris 2005-10-31 14:44:03 UTC
This is being tracked in upstream bugzilla at:

https://bugs.freedesktop.org/show_bug.cgi?id=4366

Once someone creates the ru_RU.UTF-8 files and submits them to X.Org, they
should get committed to CVS.  Hopefully someone can do this before X11R7
is out.

Setting status to "UPSTREAM"


Note You need to log in before you can comment on or make changes to this bug.